# Soul Summoner

**Soul** is an ecosystem ingrained with a system of checks and balances and ingrained with multi-chain expansion in mind from the very start. We make use of hierarchical roles and variables that connect the Soul Summoner across infinitely-many blockchains.&#x20;

Keep on reading for more. There is a lot happening under the hood. The **upcoming pages break down how we manage to execute our goals** in a way that makes unlike any other project out there.

### Variables

{% tabs %}
{% tab title="Roles" %}

| **Title**    | **Description**                                                             |
| ------------ | --------------------------------------------------------------------------- |
| Isis         | **Role** of the House in command of **adding new liquidity pools**.         |
| Ma'at        | Role of the House in command of **allocation** and **weight distribution.** |
| Team         | Account belonging to the designated operators of the DAO.                   |
| DAO          | Account belonging to the members of the DAO.                                |
| {% endtab %} |                                                                             |

{% tab title="Emissions" %}

| Variable      | Description                                                            |
| ------------- | ---------------------------------------------------------------------- |
| weight        | The relative emissions for the Soul Summoner on the given chain.       |
| totalWeight   | Combined emissions for all Soul Summoners on all chains.               |
| soulPerSecond | Total Soul Power minted each second by the Soul Summoner.              |
| dailySoul     | Soul Power minted each day by the Soul Summer, where combined is 250K. |
| {% endtab %}  |                                                                        |
| {% endtabs %} |                                                                        |

### Divine Roles

In the constructor, we channel the roles of **Isis** and **Ma'at** -- ancient Egyptian Goddesses of **magic** and **cosmic** **order**. The house of **Isis** is able to create new liquidity pools, while **Ma'at** is able to adjust the allocation provided to each pool created. Naturally, as the Goddess of Cosmic Order, **Ma'at** is able to counteract the forces of **Isis. Soul** is an ecosystem ingrained with a system of checks and balances.

```
// channels the power of the isis and ma'at to the deployer (deployer)

constructor() {
    isis = keccak256("isis"); // goddess of magic who creates pools
    maat = keccak256("maat"); // goddess of cosmic order who sets allocations
    _divinationCeremony(isis, isis, team); // isis role created
    _divinationCeremony(maat, isis, dao); // maat role created
}

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soulswap.finance/docs/tech-details/summoner.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
